#!/usr/bin/python
##### Smerni diagram polvalovnega dipola v kartezicnih koordinatah - S53MV 1.12.2017 #####

import math	#uporabljene funkcije

k=0.01		#korak risanja v radianih

x=[]		#polja za risanje grafa
y=[]
z=[]

t=0.0		#kot theta v radianih
while t<=math.pi:
	x=x+[t]			#dodaj tocko v risbo
	y=y+[math.sin(t)]
	f=0
	if math.sin(t)<>0:
		f=math.cos(math.pi/2*math.cos(t))/math.sin(t)
	z=z+[f]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
plt.plot(x,y,'r-',lw=1.5)
plt.plot(x,z,'b-',lw=3)
plt.axis([0.0,math.pi,0.0,1.05])
plt.xticks([0.0,math.pi/4,math.pi/2,3*math.pi/4,math.pi])
plt.show()

#konec programa

